# API Particluer data

## Test tokens

see: [api.gouv.fr/documentation/api-particulier](https://api.gouv.fr/documentation/api-particulier)

| Token                              | Scopes IDs                       | Scopes                           |
|------------------------------------|----------------------------------| ---------------------------------|
| `83c68bf0b6013c4daf3f8213f7212aa5` | `dgfip_avis_imposition`          | DGFIP - Avis d'imposition        |
| `02013fe1b5221dd7d914e4406fb88891` | `dgfip_adresse`                  | DGFIP - Adresse                  |
| `73af98c480aa3abfd38830ec5c5354d8` |  ?                               | CNAF - Quotient familial         |
| `3841b13fa8032ed3c31d160d3437a76a` |  ?                               | CNAF - Situation familiale       |
| `d7e9c9f4c3ca00caadde31f50fd4521a` |  `dgfip_avis_imposition` + ?     | "DGFIP - Avis d'imposition" et "CNAF - Situation familiale" |
| `fd38830c480221d0ff0b6013c4de6c32` |  ?                               | Pôle Emploi - Situation individu |
| `1b8bea9a1df409af64c995e58014f642` |  `mesri_statut_etudiant`         | Statut Étudiant                  |


## `api/introspect` endpoint

```json
{
  "_id": "1d99db5a-a099-4314-ad2f-2707c6b505a6",
  "name": "Application de sandbox",
  "scopes": [
    "dgfip_avis_imposition",
    "dgfip_adresse",
    "cnaf_allocataires",
    "cnaf_enfants",
    "cnaf_adresse",
    "cnaf_quotient_familial",
    "mesri_statut_etudiant"
  ]
}
```

### CURL queries of all test tokens

```bash
# DGFIP - Avis d'imposition    83c68bf0b6013c4daf3f8213f7212aa5
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: 83c68bf0b6013c4daf3f8213f7212aa5" | jq

# DGFIP - Adresse    02013fe1b5221dd7d914e4406fb88891
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: 02013fe1b5221dd7d914e4406fb88891" | jq

# CNAF - Quotient familial    73af98c480aa3abfd38830ec5c5354d8
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: 73af98c480aa3abfd38830ec5c5354d8" | jq

# CNAF - Situation familiale    3841b13fa8032ed3c31d160d3437a76a
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: 3841b13fa8032ed3c31d160d3437a76a" | jq

# "DGFIP - Avis d'imposition" et "CNAF - Situation familiale"    d7e9c9f4c3ca00caadde31f50fd4521a
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: d7e9c9f4c3ca00caadde31f50fd4521a" | jq

# Pôle Emploi - Situation individu    fd38830c480221d0ff0b6013c4de6c32
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H   -H  "X-API-Key: fd38830c480221d0ff0b6013c4de6c32" | jq

# Statut Étudiant    1b8bea9a1df409af64c995e58014f642
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H  "X-API-Key: 1b8bea9a1df409af64c995e58014f642" | jq

# Clé d'API invalide
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" \
    -H "X-API-Key: fakeToken" | jq

# Clé d'API non présente
curl     -X GET "https://particulier-test.api.gouv.fr/api/introspect" \
    -H  "accept: application/json" | jq
```

### JSON result is always the same

```json
{
  "_id": "1d99db5a-a099-4314-ad2f-2707c6b505a6",
  "name": "Application de sandbox",
  "scopes": [
    "dgfip_avis_imposition",
    "dgfip_adresse",
    "cnaf_allocataires",
    "cnaf_enfants",
    "cnaf_adresse",
    "cnaf_quotient_familial",
    "mesri_statut_etudiant"
  ]
}
```
