#!/bin/bash

set -o errexit
##########################################
PARAM_NUMERO_FISCAL="2001399999010"
PARAM_REF_AVIS="2001399999010"
API_URL="https://particulier-test.api.gouv.fr/api/v2"
API_ENDPOINT="avis-imposition"
API_ENDPOINT_URL="${API_URL}/${API_ENDPOINT}?numeroFiscal=${PARAM_NUMERO_FISCAL}&referenceAvis=${PARAM_REF_AVIS}"
BUILD_DIR="../../build/CURL_${API_ENDPOINT}_endpoint"
##########################################
if [ -d "${BUILD_DIR}" ]; then
    rm -rf ${BUILD_DIR}
fi
mkdir -p "${BUILD_DIR}"
touch "${BUILD_DIR}/checksum.sha256"
##########################################

# DGFIP - Avis d'imposition    83c68bf0b6013c4daf3f8213f7212aa5
API_TOKEN="83c68bf0b6013c4daf3f8213f7212aa5"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# DGFIP - Adresse    02013fe1b5221dd7d914e4406fb88891
API_TOKEN="02013fe1b5221dd7d914e4406fb88891"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# CNAF - Quotient familial    73af98c480aa3abfd38830ec5c5354d8
API_TOKEN="73af98c480aa3abfd38830ec5c5354d8"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# CNAF - Situation familiale    3841b13fa8032ed3c31d160d3437a76a
API_TOKEN="3841b13fa8032ed3c31d160d3437a76a"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# "DGFIP - Avis d'imposition" et "CNAF - Situation familiale"    d7e9c9f4c3ca00caadde31f50fd4521a
API_TOKEN="d7e9c9f4c3ca00caadde31f50fd4521a"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

#    ## Pôle Emploi - Situation individu    fd38830c480221d0ff0b6013c4de6c32
#    API_TOKEN="fd38830c480221d0ff0b6013c4de6c32"
#    RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
#    curl -X GET "${API_ENDPOINT_URL}"   \
#         -H  "accept: application/json" \
#         -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
#    sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"
# ----> Error: "curl: (3) Port number ended with ' '"

# Statut Étudiant    1b8bea9a1df409af64c995e58014f642
API_TOKEN="1b8bea9a1df409af64c995e58014f642"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# Invalid API key
API_TOKEN="fakeToken"
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-${API_TOKEN}.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

# API key missing
RESULT_FILE="${BUILD_DIR}/${API_ENDPOINT}_token-missing_API_TOKEN.json"
curl -X GET "${API_ENDPOINT_URL}"   \
     -H  "accept: application/json" \
     -H  "X-API-Key: ${API_TOKEN}" > "${RESULT_FILE}"
sha256sum "${RESULT_FILE}" >> "${BUILD_DIR}/checksum.sha256"

##########################################
cat "${BUILD_DIR}/checksum.sha256"
